# OpenSC API Reference

sc_asn1_read_tag
3
opensc

# sc_asn1_read_tag

Extract a tag from an ASN.1 entry

## Synopsis

    #include <opensc.h>

    int sc_asn1_read_tag(const unsigned char **buf, size_t buflen,
                         unsigned int *cla_out, unsigned int *tag_out, size_t *taglen);

## Description

This function extracts a tag from an ASN.1 entry at the buffer pointed to by the pointer in buf. The buffer is buflen bytes long. The tag class will be stored in cla_out, the tag itself in tag_out, and the length of the extracted tag in tag_len.

## Return value

Returns 1 if successful, or -1 in case of error.